Bug 362661

Summary: Orthodox Easter is off by 13 days
Product: [Frameworks and Libraries] frameworks-kholidays Reporter: auxsvr
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: caslav.ilic, dragan.legic
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: OpenSUSE   
OS: Linux   
Latest Commit: Version Fixed In: Applications 16.12.2

Description auxsvr 2016-05-04 12:15:39 UTC
Orthodox Easter (Pascha) of 2016 was on 1 May, but kontact displays it on 18 April. The algorithm in HolidayParserDriverPlan::pascha appears to be correct, but there must be a problem when converting the result from the Julian to the Gregorian calendar, hence the difference of 13 days.

Reproducible: Always




libKF5Holidays5-16.04.0
Comment 1 lega99 2016-12-29 15:54:01 UTC
 I've noticed that in the calendar for the 2017 it says that Orthodox Easter is on 3rd of April 2017, but as far as I know both the Orthodox and the Catholic Easter are on the same day which is 16th of April 2017. Additionally, Orthodox Good Friday is supposedly on 1st of April - Saturday, and Orthodox Holy Saturday is on 2nd of April - Sunday.

Armistice Day, which was on the 11th of November 2016, was not present in the calendar at all, even though it is an official holiday in Serbia.

All KDE plasma5 distro have wrong holidays
https://git.reviewboard.kde.org/r/129667/diff/
https://git.reviewboard.kde.org/r/129668/diff/
Comment 2 Chusslove Illich 2017-01-22 10:17:59 UTC
Patches from the linked review requests have been committed. Fixes will appear in Applications 16.12.2 release.